summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan C <ianc@noddybox.co.uk>2021-01-26 11:00:22 +0000
committerIan C <ianc@noddybox.co.uk>2021-01-26 11:00:22 +0000
commit675bc29a6b426c1485bd5705683de64f0d1c7188 (patch)
treed5b436a7b4849c2c4e994642ce6e76b6d425bafd
parent77fdd09c6ddfe1da011b1808141e58a0fad0c54a (diff)
Added decode.sh and encode.sh.
-rwxr-xr-xdecode.sh8
-rwxr-xr-xencode.sh8
2 files changed, 16 insertions, 0 deletions
diff --git a/decode.sh b/decode.sh
new file mode 100755
index 0000000..34c45a1
--- /dev/null
+++ b/decode.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+if [ ! "$2" ] ; then
+ echo $0: usage $0 infile outfile
+ exit 1
+fi
+
+openssl enc -d -aes-256-cbc -in "$1" -out "$2"
diff --git a/encode.sh b/encode.sh
new file mode 100755
index 0000000..900e5ae
--- /dev/null
+++ b/encode.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+if [ ! "$2" ] ; then
+ echo $0: usage $0 infile outfile
+ exit 1
+fi
+
+openssl enc -aes-256-cbc -in "$1" -out "$2"